DestinationPath (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.filter.DestinationPath class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.filter
Class DestinationPath

    java.lang.Object
      org.codehaus.activemq.filter.DestinationPath

public class DestinationPath
extends Object

Helper class for decomposing a Destination into a number of paths

Version:
  $Revision: 1.2 $

Field Summary
`protected static char` | `SEPARATOR`

Constructor Summary
`DestinationPath()`

Method Summary
`static String[]` | `getDestinationPaths(Destination destination)`
`static String[]` | `getDestinationPaths(Message message)`
`static String[]` | `getDestinationPaths(String subject)`
`static String` | `toString(String[] paths)` Converts the paths to a single String seperated by dots.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEPARATOR

    protected static final char SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### DestinationPath

    public DestinationPath()

Method Detail

### getDestinationPaths

    public static String[] getDestinationPaths(String subject)

### getDestinationPaths

    public static String[] getDestinationPaths(Message message)
                                        throws JMSException

  Throws:
    `JMSException`

### getDestinationPaths

    public static String[] getDestinationPaths(Destination destination)

### toString

    public static String toString(String[] paths)

  Converts the paths to a single String seperated by dots.

  Parameters:
    `paths` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.